spring.application.name=cApi
server.port=31001
server.servlet.context-path=/cApi
server.compression.enabled=true
server.compression.mime-types=text/html,text/xml,text/plain,text/css,text/javascript,application/javascript,application/json
server.tomcat.max-connections=200
server.tomcat.threads.max=100
server.tomcat.threads.min-spare=10
## Token
security.default-token=3774e79ac55aff6d1afc0f94bfaf131d
## MySQL
spring.datasource.url=jdbc:mysql://192.168.31.189:33069/work?useSSL=false&serverTimezone=UTC&characterEncoding=utf8
spring.datasource.username=dream
spring.datasource.password=info_dream
spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
# ========================================
# 2. Swagger UI
# ========================================
springdoc.swagger-ui.path=/swagger-ui.html
springdoc.swagger-ui.operations-sorter=method
springdoc.swagger-ui.tags-sorter=alpha
springdoc.swagger-ui.doc-expansion=list
springdoc.swagger-ui.persist-authorization=true
springdoc.swagger-ui.disable-swagger-default-url=true
springdoc.api-docs.path=/v3/api-docs
springdoc.api-docs.groups.enabled=true
springdoc.packages-to-scan=com.mini.capi.api
springdoc.paths-to-match=/**
management.endpoints.web.exposure.include=health,info,metrics,process
management.endpoints.web.exposure.exclude=shutdown
management.endpoint.health.show-details=always
management.endpoint.health.show-components=always
management.endpoints.web.base-path=/monitor
management.endpoints.web.cors.allowed-origins=*
management.endpoints.web.cors.allowed-methods=GET,POST,OPTIONS
management.endpoints.web.cors.allowed-headers=*
management.endpoints.web.cors.max-age=3600
logging.level.root=INFO
logging.level.com.yourpackage=DEBUG
management.endpoint.env.show-values=when_authorized
management.endpoint.health.cache.time-to-live=3000ms